/**
 * @file log_error_handler.h
 *
 * @brief This file contains logger enumeration values for the module ERROR_HANDLER
 *
 */

/* Note: header guard format should not be changed; */
#ifndef _LOG_ERRORHDLR_H_
#define _LOG_ERRORHDLR_H_



/* User has to update enumeration member list */
#define ERRORHDLR_FOREACH_LOG(ERRORHDLR_LOG_NAME) 				                                \
        ERRORHDLR_LOG_NAME(ERROR_CLEARED_GROUP_ID__u8__ERROR_ID__u8_)   						\
        ERRORHDLR_LOG_NAME(PERIODIC_ERROR_RECOVERY_START)   						            \
        ERRORHDLR_LOG_NAME(PERIODIC_ERROR_RECOVERY_COMPLETED)   						        \
		ERRORHDLR_LOG_NAME(ERROR_DETECTED_GROUP_ID__u8__ERROR_ID__u8_)   						\
        ERRORHDLR_LOG_NAME(RECOVERY_PASS_GROUP_ID__u8__ERROR_ID__u8_)   						\
        ERRORHDLR_LOG_NAME(RECOVERY_FAIL_cm__FAULT_BIT_SET_GROUP_ID__u8__ERROR_ID__u8_)   	    \
        ERRORHDLR_LOG_NAME(SOFTWARE_RESET_BY_ERROR_HANDLER_GROUP_ID__u8__ERROR_ID__u8_)   	    \
        ERRORHDLR_LOG_NAME(FAULT_BIT_SET_GROUP_ID__u8__ERROR_ID__u8_)   						\
        ERRORHDLR_LOG_NAME(BIST_START)   						                                \
        ERRORHDLR_LOG_NAME(BIST_COMPLETED)                                                      \
		ERRORHDLR_LOG_NAME(ERROR_HANDLER_LOG_MAX)


#define ERRORHDLR_GENERATE_ENUM(ENUM) ENUM,
#define ERRORHDLR_GENERATE_STRING(STRING) #STRING,

typedef enum log_error_handler_e_
{
	ERRORHDLR_FOREACH_LOG(ERRORHDLR_GENERATE_ENUM)
}log_error_handler_e;



#endif /* _LOG_ERRORHDLR_H_ */
